//9488_SDfileDisplay.ino
#include <SD.h>
#include <sd_defines.h>
#include <sd_diskio.h>
#include "LovyanGFX_9488.hpp"
static LGFX lcd;
#define SDCS 4
int N1=28;
int N2=21;
int dur=1000;

String monochrome[28]={"atom1","atom2","atom3","atom4","eightman1","eightman2","super1",
"super2","super3","tetsujin1","tetsujin2","tetsujin3","gekko1","gekko2",
"harimao1","harimao2","nanairo1","nanairo2","nanairo3","rome1","rome2",
"rome3","city1","city2","city3","modern1","modern2","modern3"};

String title1[28]={"Astro Boy1","Astro Boy2","Astro Boy3","Astro Boy4","Eight-Man1","Eight-Man2","Super Jetter1",
"Super Jetter2","Super Jetter3","Tetsujin 28-Go1","Tetsujin 28-Go2","Tetsujin 28-Go3","Moon Mask Rider1","Moon Mask Rider2",
"Haimao1","Harimao2","Seven Color Mask1","Seven Color Mask2","Seven Color Mask3","Roman Holiday1","Roman Holiday2",
"Roman Horiday3","City Lights1","City Lights2","City Lights3","Modern Times1","Modern Times2","Modern Times3"};

String fullcolor[21]={"art1","art2","art3","art4","art5","atom","bird1",
"bird2","cat1","cat2","cat3","dog1","dog2","fish1",
"fish2","fish3","fish4","flower1","flower2","flower3","flower4"};

String title2[21]={"Seurat","Vermer","Leonardo da Vinci","Renoir1","Renoir2","Astro Boy","Parrot",
"Crane","Cat1","Cat2","Cat3","Dog1","Dog2","Angelfish",
"Goldfish","Seahorse1","Seahorse2","Sunflower1","Sunflower2","Bellflower","Hydrangea"};

int ts=4;

void setup() {
  Serial.begin(115200);
  lcd.init();
  lcd.setRotation(1);
  lcd.clear(TFT_BLACK);
  if (!SD.begin(SDCS, SPI, 16000000)) {
    Serial.println("SD Failed.");
    lcd.setTextColor(TFT_RED, TFT_BLACK);
    lcd.drawString("SD Card Mount Failed!", 0, 50, ts);
    while(true){}
  }
  lcd.setTextColor(TFT_YELLOW, TFT_BLACK);
  lcd.drawString("SD Card Mount Successful!", 0, 50, ts);
  delay(3000);
  lcd.setTextColor(TFT_WHITE, TFT_BLACK);
}

void loop() {
  for (int i=0; i<N1; i++){
    lcd.fillScreen(TFT_BLACK);
    lcd.drawBmpFile(SD, "/monochrome/"+monochrome[i]+".bmp",0, 0);
    lcd.drawString(title1[i], 10, 10,ts); 
    delay(dur);
  }
  for (int i=0; i<N2; i++){
    lcd.fillScreen(TFT_BLACK);
    lcd.drawBmpFile(SD, "/fullcolor/"+fullcolor[i]+".bmp",0, 0);
    lcd.drawString(title2[i], 10, 10,ts); 
    delay(dur);
  }
}
